# Interface Task

All Superinterfaces:
  `Launchable, ProjectModel`

All Known Subinterfaces:
  `GradleTask`

public interface Task extends Launchable
Represents a task which is executable by Gradle.

Note: `Task` extends `Launchable` since 1.12.

Since:
  1.0-milestone-3

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Returns the description of this task, or `null` if it has no description.
`String`
`getGroup()`
Returns the group a task belongs to.
`String`
`getName()`
Returns the name of this task.
`String`
`getPath()`
Returns the path of this task.

### Methods inherited from interface Launchable

`getDisplayName, getProjectIdentifier, isPublic`

## Method Details

### getPath

String getPath()
Returns the path of this task. This is a fully qualified unique name for this task.

Returns:
  The path of this task.
Since:
  1.0-milestone-3

### getName

String getName()
Returns the name of this task. Note that the name is not necessarily a unique identifier for the task.

Returns:
  The name of this task.
Since:
  1.0-milestone-3

### getDescription

@Nullable String getDescription()
Returns the description of this task, or `null` if it has no description.

Specified by:
  `getDescription` in interface `Launchable`
Returns:
  The description of this task, or `null` if it has no description.
Since:
  1.0-milestone-3

### getGroup

@Incubating @Nullable String getGroup()
Returns the group a task belongs to.

Returns:
  the group a task belongs to.
Since:
  2.5